package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrHygieneMapper;
import com.ruoyi.project.pssr.domain.TPssrHygiene;
import com.ruoyi.project.pssr.service.ITPssrHygieneService;

/**
 * 现场卫生Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrHygieneServiceImpl implements ITPssrHygieneService
{
    @Autowired
    private TPssrHygieneMapper tPssrHygieneMapper;

    /**
     * 查询现场卫生
     *
     * @param id 现场卫生ID
     * @return 现场卫生
     */
    @Override
    public TPssrHygiene selectTPssrHygieneById(Long id)
    {
        return tPssrHygieneMapper.selectTPssrHygieneById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrHygieneMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询现场卫生列表
     *
     * @param tPssrHygiene 现场卫生
     * @return 现场卫生
     */
    @Override
    public List<TPssrHygiene> selectTPssrHygieneList(TPssrHygiene tPssrHygiene)
    {
        return tPssrHygieneMapper.selectTPssrHygieneList(tPssrHygiene);
    }

    /**
     * 新增现场卫生
     *
     * @param tPssrHygiene 现场卫生
     * @return 结果
     */
    @Override
    public int insertTPssrHygiene(TPssrHygiene tPssrHygiene)
    {
        return tPssrHygieneMapper.insertTPssrHygiene(tPssrHygiene);
    }

    /**
     * 修改现场卫生
     *
     * @param tPssrHygiene 现场卫生
     * @return 结果
     */
    @Override
    public int updateTPssrHygiene(TPssrHygiene tPssrHygiene)
    {
        return tPssrHygieneMapper.updateTPssrHygiene(tPssrHygiene);
    }

    /**
     * 批量删除现场卫生
     *
     * @param ids 需要删除的现场卫生ID
     * @return 结果
     */
    @Override
    public int deleteTPssrHygieneByIds(Long[] ids)
    {
        return tPssrHygieneMapper.deleteTPssrHygieneByIds(ids);
    }

    /**
     * 删除现场卫生信息
     *
     * @param id 现场卫生ID
     * @return 结果
     */
    @Override
    public int deleteTPssrHygieneById(Long id)
    {
        return tPssrHygieneMapper.deleteTPssrHygieneById(id);
    }
}
